VoxLink.ai

Leads

Create lead

Create a new lead in the VoxLink system

Updated 27 July 2026
On this page

This endpoint allows you to create a new lead in the VoxLink system.

Request body

phone_numberstringrequired

The phone number of the lead in E.164 format (e.g. +1234567890)

campaign_idintegerrequired

The ID of the campaign to create the lead for

variablesobject

Custom variables for the lead. For call campaigns, use variables defined on your assistant (see Call variables). For WhatsApp/SMS campaigns, use the keys referenced by your template mapping or SMS body placeholders.

customer_namestring

  e.g. the name of the customer

emailstring

  e.g. the email of the customer

allow_dupplicateboolean

Whether to allow duplicate leads in a campaign.

secondary_contactsarray

Call campaigns only. Extra phone numbers for the same lead. Rejected for WhatsApp/SMS campaigns.

phone_numberstringrequired

  The phone number of the secondary contact in E.164 format

variablesobject

  The variables to pass to the secondary contact

customer_namestring

"> The name of the secondary contact

emailstring

"> The email of the secondary contact

Response

messagestring

The message of the response

dataobject

The lead data object

idinteger

  The unique ID of the created lead

campaign_idinteger

  The ID of the campaign this lead belongs to

phone_numberstring

  The phone number of the lead in E.164 format

variablesobject

  The variables associated with the lead

customer_namestring

"> The name of the customer

emailstring

"> The email of the customer

statusstring

  The status of the lead

created_atstring

  The timestamp when the lead was created

updated_atstring

  The timestamp when the lead was last updated

campaignobject

  The campaign information

idinteger

      The id of the campaign

namestring

      The name of the campaign

secondary_contactsarray

  Array of secondary contact leads associated with this lead

idinteger

      The id of the secondary contact lead

phone_numberstring

      The phone number of the secondary contact in E.164 format

variablesobject

      The variables associated with the secondary contact

statusstring

      The status of the secondary contact

created_atstring

      The created at date of the secondary contact

updated_atstring

      The updated at date of the secondary contact
{
  "message": "Lead created successfully",
  "data": {
    "id": 1,
    "campaign_id": 1,
    "phone_number": "+1234567890",
    "variables": {
      "customer_name": "John Doe",
      "email": "john.doe@example.com"
    },
    "status": "created",
    "created_at": "2025-06-30 11:53:20",
    "updated_at": "2025-06-30 11:53:20",
    "campaign": {
      "id": 1,
      "name": "My new campaign"
    },
    "secondary_contacts": [
      {
        "id": 2,
        "phone_number": "+1234567891",
        "variables": {
          "customer_name": "Jane Doe Secondary",
          "email": "jane.doe.secondary@example.com"
        },
        "status": "created",
        "created_at": "2025-06-30 11:53:20",
        "updated_at": "2025-06-30 11:53:20"
      },
      {
        "id": 3,
        "phone_number": "+1234567892",
        "variables": {
          "customer_name": "Bob Doe Office",
          "email": "bob.doe.office@example.com"
        },
        "status": "created",
        "created_at": "2025-06-30 11:53:20",
        "updated_at": "2025-06-30 11:53:20"
      }
    ]
  }
}

Related guides